## pkg-kde-tools 0.4.0.1ubuntu4

=== Makefile ===
PERLLIBDIR := $(shell perl -MConfig -e 'print $$Config{vendorlib}')
SYMBOLSHELPER_DIR := symbolshelper

BINDIR := $(DESTDIR)/usr/bin
MANDIR := $(DESTDIR)/usr/share/man
#DATADIR := $(DESTDIR)/usr/share/pkg-kde-tools

install:
	install -d $(BINDIR) $(MANDIR)
	
	# symbolshelper
	cd $(SYMBOLSHELPER_DIR) && find Debian -type f -name "*.pm" -exec \
	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper $(DESTDIR)/usr/bin
	
	# dh_sameversiondep
	install -d $(MANDIR)/man1
	pod2man dh_sameversiondep > $(MANDIR)/man1/dh_sameversiondep.1
	install -m 0755 dh_sameversiondep $(BINDIR)

## pkg-kde-tools 0.2ubuntu2~intrepid1

=== debian/changelog ===
pkg-kde-tools (0.2ubuntu2~intrepid1) intrepid-backports; urgency=low

  * Backport to Intrepid, no changes necessary

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Feb 2009 12:58:49 +0000

pkg-kde-tools (0.2ubuntu2) jaunty; urgency=low

  * Add dh_sameversiondeps and i18n scripts from kdesdk-scripts into 
    kubuntu/ directory, stops circular dependency on kdesdk-scripts.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2008 13:58:29 +0000

pkg-kde-tools (0.2ubuntu1) jaunty; urgency=low

  * Initial Kubuntu upload
    -DKDE_DISTRIBUTION_TEXT="Kubuntu packages"
    -DKDE_DEFAULT_HOME=.kde
  * Add .pot generation to kde.mk for Launchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2008 11:00:07 +0000

pkg-kde-tools (0.2) unstable; urgency=low

  * The no .svn dir in release release.
  * Add a way to set --as-needed during build.
  * there was a reference to ENABLE_FINAL in variables.mk. Kill it.

 -- Sune Vuorela <debian@pusling.com>  Wed, 29 Oct 2008 17:35:13 +0100

pkg-kde-tools (0.1) unstable; urgency=low

  * Initial Release.

 -- Sune Vuorela <debian@pusling.com>  Thu, 18 Sep 2008 21:39:35 +0200

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Uploaders: Sune Vuorela <debian@pusling.com>

Package: pkg-kde-tools
Architecture: all
Suggests: debhelper, cdbs
Replaces: kdesdk-scripts
Description: common makesnippets and other build scripts for KDE4 related packages
 This package contains makefiles setting the default build arguments for KDE4 
 packages.
 .
 Currently, it is only a few makesnippets, but it will grow larger in the future.
 .
 NOTE: if you use cdbs or debhelper, you need to build-depend on those as well,
 as this package is expected to be useful in cases without debhelper or cdbs.

=== debian/rules ===
#!/usr/bin/make -f
build: 
	#nop - just a set of scripts.

clean: 
	dh_testdir
	dh_testroot
	dh_clean 

binary-arch: 
	#policy requires this.

binary-indep:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	#make sure we didn't accidentally add svn files
	#if triggered, please build source package with -I
	test ! -e $(CURDIR)/debian/pkg-kde-tools/usr/share/pkg-kde-tools/makefiles/1/.svn/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: clean binary-indep binary-arch binary build

## pkg-kde-tools 0.4.0.1ubuntu4

=== debian/changelog ===
pkg-kde-tools (0.4.0.1ubuntu4) jaunty; urgency=low

  * Update extract-messages.sh
  * Refine desktop-template-list

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 17:49:24 +0100

pkg-kde-tools (0.4.0.1ubuntu3) jaunty; urgency=low

  * Add playground-sysadmin (kpackagekit) to pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 01:28:50 +0100

pkg-kde-tools (0.4.0.1ubuntu2) jaunty; urgency=low

  * Add desktop-template-list with the list of .desktop file translation
    templates we need for packages in main.  Used by kde-l10n-xx to refresh
    it's translations from upstream.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Apr 2009 16:59:32 +0100

pkg-kde-tools (0.4.0.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add extractrc and extractattr from kdesdk-scripts
    - Replace kdesdk-scripts (<< 4:4.1.80-0ubuntu2), previous versions contain
      the same scripts.
    - Add dh_sameversiondeps and i18n scripts from kdesdk-scripts into
      kubuntu/ directory, stops circular dependency on kdesdk-scripts.
    - DKDE_DISTRIBUTION_TEXT="Kubuntu packages"
    - DKDE_DEFAULT_HOME=.kde
    - Add .pot generation to kde.mk for Launchpad
    - Change debian-qt-kde.mk to just include the Kubuntu kde4.mk from CDBS so
      KDE4 debian/rules from Debian will work in Kubuntu (Still need to look
      at what of the debian-qt-kde.mk should get integrated into kde4.mk or if
      Kubuntu should change to use debian-qt-kde.mk for Karmic and later)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Mar 2009 10:43:49 -0500

pkg-kde-tools (0.4.0.1) unstable; urgency=low

  * Get rid of THIS_SHOULD_GO_TO_UNSTABLE hack.
  * Release to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 16 Feb 2009 01:58:52 +0200

pkg-kde-tools (0.4.0) experimental; urgency=low

  * pkgkde-symbolshelper: add support for resorting symbol files (useful after
    manual editing).
  * pkgkde-symbolshelper create: add support for adding arch specific symbols
    to the symbol template.
  * Add dh_sameversiondep from official KDE packaging:
    - make pkg-kde-tools suggest debhelper v7 and dpkg-dev;
    - add POD help and generate manual page from it;
    - add support for the external reference package.
  * Pass -X.svn to dh_install
  * Add makefiles/1/cdbs/symbolshelper.mk which hooks pkgkde-symbolshelper
    calls to cdbs.
  * Add stuff from svn pkg-kde/cdbs as qt-kde-team. Port kde.mk and rename
    it to debian-qt-kde.mk as it was called in kde3 when stored in cdbs/ dir.
    - use /usr/share/pkg-kde-tools/makefiles/1/variables.mk;
    - link with --as-needed by default;
    - remove lintian section, we should use dh_lintian;
    - add README to discourage other developers from using qt-kde-team;
    - enable pkgkde-symbolshelper support in debian-qt-kde.mk by defaylt.
  * Add "distro policy" checking when building the package:
    - THIS_SHOULD_GO_TO_UNSTABLE moved policy/unstable.mk
    - policy/unstable.mk also emits a warning when KDE alpha or betas are to
      be uploaded to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 25 Jan 2009 13:20:43 +0200

pkg-kde-tools (0.3.1) experimental; urgency=low

  * pkgkde-symbolshelper/patch: improve processing of patches which patch
    multiple files. Use the first patch portion that applies properly.
  * pkgkde-symbolshelper/patch: rename -p parameter to -d (diff), support -p
    (package) option.
  * pkgkde-symbolshelper: rework module stucture a bit, merge small handlers
    into one file.
  * debian/rules: disable .svn check. It is wrong and useless since does not
    check the tarball itself but the directory the tarball gets built from.
  * add support for int64_t/uint64_t differences on 64bit/32bit arches.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 14 Jan 2009 14:18:17 +0200

pkg-kde-tools (0.3) experimental; urgency=low

  * Add pkgkde-symbolshelper. It aims to make handling of symbols in
    C++ libraries easier. Symbols in C++ libraries are inconsistent among
    arches due to mangling and other issues.
    - Add GPL3 notice to debian/copyright which pkgkde-symbolshelper is under.
  * Add myself to Uploaders.
  * Tweak description.
  * Add DM-Upload-Allowed: yes.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 29 Nov 2008 16:53:01 +0200

pkg-kde-tools (0.2ubuntu4) jaunty; urgency=low

  * Add extractrc and extractattr from kdesdk-scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 16:20:11 +0000

pkg-kde-tools (0.2ubuntu3) jaunty; urgency=low

  * Replace kdesdk-scripts (<< 4:4.1.80-0ubuntu2), previous versions contain
    the same scripts.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 06 Dec 2008 18:42:27 +0100

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modestas@vainius.eu>
DM-Upload-Allowed: yes

Package: pkg-kde-tools
Architecture: all
Depends: ${perl:Depends}
Suggests: debhelper (>= 7), cdbs, dpkg-dev
Replaces: kdesdk-scripts (<< 4:4.2.0-0ubuntu3)
Description: common makesnippets and build scripts for KDE4 related packages
 This package contains makefiles setting the default build arguments for KDE4
 packages.
 .
 Currently, it contains a few makesnippets, and pkgkde-symbolshelper tool,
 but it will grow larger in the future.
 .
 NOTE: if you use cdbs or debhelper, you need to build-depend on those as well,
 as this package is expected to be useful in cases without debhelper or cdbs.

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,14 @@
 binary-indep:
 	dh_testdir
 	dh_testroot
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/`dh_listpackages | head -n1`
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-	dh_install
-	#make sure we didn't accidentally add svn files
-	#if triggered, please build source package with -I
-	test ! -e $(CURDIR)/debian/pkg-kde-tools/usr/share/pkg-kde-tools/makefiles/1/.svn/
+	dh_install -X.svn
+	dh_installman
 	dh_link
+	dh_perl
 	dh_strip
 	dh_compress
 	dh_fixperms

## pkg-kde-tools 0.4.2

=== debian/changelog ===
pkg-kde-tools (0.4.2) unstable; urgency=low

  * Remove setting of kde home. We now use the default.
  * Add aggressive conflicts to avoid bad accidents.

 -- Sune Vuorela <debian@pusling.com>  Wed, 01 Apr 2009 22:23:23 +0200

pkg-kde-tools (0.4.1) unstable; urgency=low

  * Add Vcs fields to debian/control (Git).
  * Get rid of custom bug file processing in qt-kde-team/1/debian-qt-kde.mk.
    This is handled by dh_bugfiles now.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 11 Mar 2009 13:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modestas@vainius.eu>
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, maemo-optify
 Suggests: debhelper (>= 7), cdbs, dpkg-dev
-Replaces: kdesdk-scripts (<< 4:4.2.0-0ubuntu3)
 Description: common makesnippets and build scripts for KDE4 related packages
  This package contains makefiles setting the default build arguments for KDE4
  packages.

## pkg-kde-tools 0.4.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,3 @@
 	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
 	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper $(DESTDIR)/usr/bin
 	
-	# dh_sameversiondep
-	install -d $(MANDIR)/man1
-	pod2man dh_sameversiondep > $(MANDIR)/man1/dh_sameversiondep.1
-	install -m 0755 dh_sameversiondep $(BINDIR)

=== debian/changelog ===
pkg-kde-tools (0.4.3) unstable; urgency=low

  * Remove sameversiondep as sdk does not seem to support it

 -- Lassi Nieminen <lassniem@gmail.com>  Thu, 06 May 2010 22:22:22 +0200

## pkg-kde-tools 0.4.4

=== Makefile ===
--- 
+++ 
@@ -13,3 +13,7 @@
 	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
 	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper $(DESTDIR)/usr/bin
 	
+	# dh_sameversiondep
+	install -d $(MANDIR)/man1
+	pod2man maemo_sameversiondep > $(MANDIR)/man1/maemo_sameversiondep.1
+	install -m 0755 maemo_sameversiondep $(BINDIR)

=== debian/changelog ===
pkg-kde-tools (0.4.4) unstable; urgency=low

  * Remove setting of kde home. We now use the default.
  * Add aggressive conflicts to avoid bad accidents.

 -- Sune Vuorela <debian@pusling.com>  Wed, 01 Apr 2009 22:23:23 +0200

## pkg-kde-tools 0.4.4.1

=== debian/changelog ===
pkg-kde-tools (0.4.4.1) unstable; urgency=low

  * Remove sameversion usage.

 -- Lassi Nieminen <lassniem@gmail.com>  Wed, 01 Apr 2009 22:23:23 +0200

## pkg-kde-tools 0.4.4.2

=== debian/changelog ===
pkg-kde-tools (0.4.4.2) unstable; urgency=low

  * Included cmake.mk in the pkg as it's not provided in extras anymore.

 -- Lassi Nieminen <lassniem@gmail.com>  Wed, 01 Apr 2010 22:23:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0
-Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modestas@vainius.eu>
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary

## pkg-kde-tools 0.4.11ubuntu7

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	# symbolshelper
 	cd $(SYMBOLSHELPER_DIR) && find Debian -type f -name "*.pm" -exec \
 	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
-	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper $(DESTDIR)/usr/bin
+	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper-basic $(DESTDIR)/usr/bin/pkgkde-symbolshelper
 	
 	# dh_sameversiondep
 	install -d $(MANDIR)/man1
-	pod2man maemo_sameversiondep > $(MANDIR)/man1/maemo_sameversiondep.1
-	install -m 0755 maemo_sameversiondep $(BINDIR)
+	pod2man dh_sameversiondep > $(MANDIR)/man1/dh_sameversiondep.1
+	install -m 0755 dh_sameversiondep $(BINDIR)

=== debian/changelog ===
pkg-kde-tools (0.4.11ubuntu7) karmic; urgency=low

  * Also add dh_clean to override

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Aug 2009 17:12:59 +0100

pkg-kde-tools (0.4.11ubuntu6) karmic; urgency=low

  * Re-add dh_installdocs back to override rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Aug 2009 17:06:11 +0100

pkg-kde-tools (0.4.11ubuntu5) karmic; urgency=low

  * Improvements to kubuntu/debhelper/kubuntu.mk from Fathi Boudra

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2009 18:14:39 +0100

pkg-kde-tools (0.4.11ubuntu4) karmic; urgency=low

  * Add kubuntu/debhelper/kubuntu.mk
  * Make makefiles/1/debhelper/kde.mk include it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2009 13:26:13 +0100

pkg-kde-tools (0.4.11ubuntu3) karmic; urgency=low

  * Add include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk to
    makefiles/1/debhelper/kde.mk

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 18 Aug 2009 06:59:33 +0200

pkg-kde-tools (0.4.11ubuntu2) karmic; urgency=low

  * qt-kde-team/1/policy.mk: remove maintainer checking to fix FTBS when
    maintainer is not Debian qt-kde team

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 17 Aug 2009 00:25:43 +0200

pkg-kde-tools (0.4.11ubuntu1) karmic; urgency=low

  * Test build in Karmic PPA
  * Drop Kubuntu's disabled cdbs/symbolshelper.mk as dpkg 1.15 is in karmic
  * Merge from debian unstable, remaining changes:
    - Add scripts for i18n in kubuntu/ directory
    - variables.mk: /usr/share/doc/kde/HTML for docs path, Kubuntu packages
    - kde.mk: include kubuntu.mk
    - debian-qt-kde.mk: include kubuntu.mk
    - debian-qt-kde.mk: include quilt only if there are patches 
    - debian-qt-kde.mk: use LZMA compression unless DEB_NO_LZMA=1 or armel

 -- Luka Renko <lure@ubuntu.com>  Fri, 14 Aug 2009 08:09:03 +0200

pkg-kde-tools (0.4.11) unstable; urgency=low

  * Debhelper 7.3.7 has been upload to unstable, pkg-kde-tools with
    debhelper/kde.mk follows.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 24 Jul 2009 15:17:47 +0300

pkg-kde-tools (0.4.10) experimental; urgency=low

  * Add a basic debhelper/kde.mk snippet which automatically passes KDE cmake
    flags to dh_auto_configure and runs dh $@ by default. Either of defaults
    can be overriden as needed.
  * Update debian/README.Debian with details about dh(1) support.
  * Bump Standards-Version to 3.8.2: no changes needed.
  * Suggest debhelper (>= 7.3.0) which includes dh(1) with cmake support.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 02 Jul 2009 20:12:07 +0300

pkg-kde-tools (0.4.9) unstable; urgency=low

  [ Modestas Vainius ]
  * Clarify comment in variables.mk.
  * Install severily stripped down version of pkgkde-symbolshelper which
    is compatible with dpkg-dev >= 1.15.3. This version is inappropriate
    to generate/patch new symbols, it is here just to avoid breaking
    old packages. While dpkg-dev 1.15.3 has some big improvements, they
    are still not enough to properly support most C++ libraries.

  [ Raúl Sánchez Siles ]
  * Remove usage of deprecated dh_desktop.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 27 Jun 2009 22:32:11 +0300

pkg-kde-tools (0.4.8) unstable; urgency=low

  * Add maintainer check to debian_qt_kde.mk to disallow anybody else but
    Debian Qt/KDE Maintainers to use this snippet (i.e. for official KDE
    packages only). The check is supposed to support Kubuntu packages too.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 27 May 2009 13:42:22 +0300

pkg-kde-tools (0.4.7) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * dpkg 1.15.1 entered unstable, so pkg-kde-tools 0.4.7 follows.
  * Change Conflicts to Breaks on dpkg-dev/kdelibs5 (more apppropriate in
    this case).

  +++ Changes by Fathi Boudra:

  * Re-word README.Debian:
    - use 80 colons max
    - add a note on DEB_KDE_LINK_AS_NEEDED usage
    - improve debhelper snippet based on dh-make template
    - fix typo kde4.mk -> kde.mk
    - remove extra lines

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 21 May 2009 09:14:44 +0300

pkg-kde-tools (0.4.6ubuntu11) karmic; urgency=low

  * Do not compress using LZMA on armel

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 29 Jul 2009 18:55:05 +0200

pkg-kde-tools (0.4.6ubuntu10) karmic; urgency=low

  * Separate .pot generation into kubuntu.mk and include it in 
    kde.mk and debian-qt-kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 15:57:57 +0100

pkg-kde-tools (0.4.6ubuntu9) karmic; urgency=low

  * Add playground-base to desktop-template-list for knetworkmanager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Jul 2009 17:31:34 +0100

pkg-kde-tools (0.4.6ubuntu8) karmic; urgency=low

  * Really add extract-xml.sh to pot creation

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 26 Jul 2009 21:39:02 +0200

pkg-kde-tools (0.4.6ubuntu7) karmic; urgency=low

  * Import extract-xml.sh from KDE SVN
  * Add extract-xml.sh to the pot creation in kde.mk

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 26 Jul 2009 21:36:05 +0200

pkg-kde-tools (0.4.6ubuntu6) karmic; urgency=low

  * Compress packages with LZMA via DEB_DH_BUILDDEB_ARGS += -- -Zlzma if this
    should cause any problems it is advisable to wrap it in some if $package =
    $enabeled_packages. This can be deactivated by exporting DEB_NO_LZMA=1

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 08 Jun 2009 19:18:13 +0200

pkg-kde-tools (0.4.6ubuntu5) karmic; urgency=low

  * Add a KUBUNTU_NO_DELETE_POT variable for packages which moan if you delete their .pot file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 May 2009 11:22:04 +0000

pkg-kde-tools (0.4.6ubuntu4) karmic; urgency=low

  * Applied magic from cdbs' kde4.mk to qt-kde-team/1/debian-qt-kde.mk so it
    doesn't insist on quilt being installed

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 02 May 2009 16:29:11 +0200



=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.2
+Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modestas@vainius.eu>
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}, maemo-optify
-Suggests: debhelper (>= 7), cdbs, dpkg-dev
+Depends: ${perl:Depends}
+Suggests: debhelper (>= 7.3.0), cdbs, dpkg-dev (>= 1.15.0)
+Breaks: dpkg-dev (<< 1.15.3), kdelibs5-dev (<< 4:4.2.2)
 Description: common makesnippets and build scripts for KDE4 related packages
  This package contains makefiles setting the default build arguments for KDE4
  packages.

## pkg-kde-tools 0.6.4ubuntu5

=== Makefile ===
PERLLIBDIR := $(shell perl -MConfig -e 'print $$Config{vendorlib}')
SYMBOLSHELPER_DIR := symbolshelper
DEBHELPER_DIR := debhelper
VCS_DIR := vcs

BINDIR := $(DESTDIR)/usr/bin
MANDIR := $(DESTDIR)/usr/share/man
DATADIR := $(DESTDIR)/usr/share/pkg-kde-tools

build:
	# Nothing do build

install:
	install -d $(DATADIR) $(BINDIR) $(MANDIR) $(MANDIR)/man1
	
	# symbolshelper
	cd $(SYMBOLSHELPER_DIR) && find Debian -type f -name "*.pm" -exec \
	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-symbolshelper $(BINDIR)/pkgkde-symbolshelper
	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-debs2symbols $(BINDIR)/pkgkde-debs2symbols
	
	# Improved Dpkg::Shlibs and dpkg-gensymbols
	cd $(SYMBOLSHELPER_DIR) && find Dpkg -type f -name "*.pm" -exec \
	    install -D -m 0644 {} $(DATADIR)/{} \;
	install -m 0755 $(SYMBOLSHELPER_DIR)/pkgkde-gensymbols $(BINDIR)
	install -m 0755 $(SYMBOLSHELPER_DIR)/dpkg-gensymbols.1 $(MANDIR)/man1/pkgkde-gensymbols.1
	install -m 0755 $(SYMBOLSHELPER_DIR)/dpkg-gensymbols.pl $(DATADIR)
	install -d $(DATADIR)/bin
	# Make it possible to transparently replace dpkg-gensymbols with
	# pkgkde-gensymbols
	ln -sf /usr/bin/pkgkde-gensymbols $(DATADIR)/bin/dpkg-gensymbols
	
	# Custom debhelper commands
	pod2man $(DEBHELPER_DIR)/dh_sameversiondep > $(MANDIR)/man1/dh_sameversiondep.1
	install -m 0755 $(DEBHELPER_DIR)/dh_sameversiondep $(BINDIR)
	pod2man $(DEBHELPER_DIR)/dh_movelibkdeinit > $(MANDIR)/man1/dh_movelibkdeinit.1
	install -m 0755 $(DEBHELPER_DIR)/dh_movelibkdeinit $(BINDIR)
	
	# Debhelper addons
	cd $(DEBHELPER_DIR) && find Debian -type f -name "*.pm" -exec \
	    install -D -m 0644 {} $(DESTDIR)/$(PERLLIBDIR)/{} \;
	
	# pkgkde-vcs
	install -d $(DATADIR)/vcs
	install -m 0755 $(VCS_DIR)/pkgkde-vcs $(BINDIR)
	install -m 0644 $(VCS_DIR)/pkgkde-vcs.1 $(MANDIR)/man1
	cd $(VCS_DIR)/vcslib && find . -type f -exec install -D -m 0644 {} $(DATADIR)/vcs/{} \;

=== debian/changelog ===
pkg-kde-tools (0.6.4ubuntu5) lucid; urgency=low

  * Make dh7 only do pot creation/cleanup on packages other than *-l10n-*
  * Update SVNREV in debian/rules to that of KDE 4.4.2
    + Instead of using the tag date, use the precise revision!
  * Sync l10n scripts with 4.4.2

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 02 Apr 2010 08:30:17 +0200

pkg-kde-tools (0.6.4ubuntu4) lucid; urgency=low

  * Add syncing of l10n scritps with KDE SVN to debian/rules (syncl10n)
    + this can be invoked via make -f debian/rules syncl10n
    + sync scripts, to fix POT creation (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 01 Mar 2010 15:21:23 +0100

pkg-kde-tools (0.6.4ubuntu3) lucid; urgency=low

  * Manually merge kubuntu/findfiles + introduce merge history in the file
  * Import current kubuntu/msgsplit from KDE SVN
  * Import current kubuntu/extract-messages.sh from KDE SVN

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 23 Feb 2010 15:14:33 +0100

pkg-kde-tools (0.6.4ubuntu2) lucid; urgency=low

  * Also use LZMA compression for dh7 builds

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 22 Feb 2010 13:47:11 +0100

pkg-kde-tools (0.6.4ubuntu1) lucid; urgency=low

  * Merge with Debian unstable remaining changes:
    - Use /usr/share/doc/kde/HTML for docs
    - Set -DKDE_DISTRIBUTION_TEXT="Kubuntu packages"
    - Add kubuntu/ files and edit debian/install
    - debian-qt-kde.mk: include kubuntu.mk
    - debian-qt-kde.mk: include quilt only if there are patches
    - debian-qt-kde.mk: use LZMA compression unless DEB_NO_LZMA=1 or armel
    - cdbs/kde.mk: include kubuntu.mk
    - debhelper/kde.mk: include debhelper/kubuntu.mk
    - kde.mk: use LZMA compression unless DEB_NO_LZMA=1 or armel
    - qt-kde-team/1/policy.mk: remove maintainer checking to fix FTBS when
      maintainer is not Debian qt-kde team
    - Change docs path to /usr/share/doc/kde/ not /usr/share/doc/kde4/ in
      debian-qt-kde.mk rules
    - Add kubuntu-debhelper-langpack-generate.sh and clean scripts and call
      them in kde.pm for .pot generation in pure Debhelper 7 packages

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 17 Feb 2010 01:21:28 +0100

pkg-kde-tools (0.6.4) unstable; urgency=low

  * Add -q option to pkgkde-gensymbols. -c0 will never fail but still generate
    a diff. Use -c0 -q to keep pkgkde-gensymbols completely quiet as before.
  * `pkgkde-symbolshelper create`: make it work with a single input symbol
    file.
  * `pkgkde-symbolshelper rewrite`: avoid dupe c++ aliases after convert in
    some cases.

 -- Modestas Vainius <modax@debian.org>  Tue, 16 Feb 2010 02:53:40 +0200

pkg-kde-tools (0.6.3) unstable; urgency=low

  * pkgkde-debs2symbols: allow to specify deb directory (-d option) and
    symbol file directory (-s option).
  * pkgkde-symbolshelper: implement `batchpatch` subcommand which is capable of
    patching multiple packages at once (provided current working directory is
    the top of the debian source package tree with symbol files in standard
    locations).
  * `pkgkde-symbolshelper patch`: rename --base|b option to --file-to-patch|f.
  * pkgkde-symbolshelper: implement --backup option (backs up outfile).

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Feb 2010 21:47:06 +0200

pkg-kde-tools (0.6.2) unstable; urgency=low

  * Implement dh_movelibkdeinit debhelper program which moves libkdeinit4_*.so
    from public /usr/lib to private /usr/lib/kde4/libkdeinit if RUNPATHs are
    set properly.
  * Add dh_movelibkdeinit helper to debhelper kde addon sequence, CDBS kde.mk
    and debian-qt-kde.mk.
  * Pass new LIBKDEINIT_INSTALL_DIR and ENABLE_LIBKDEINIT_RUNPATH options to
    cmake by default (CDBS kde.mk and debhelper kde buildsystem).
  * No longer globally skip RPATH handling in cmake if kdelibs5-dev is 4:4.4.0
    or higher. kde4libs build system has been properly fixed in 4:4.4.0-1.
  * Omit usr/lib/kde4/ from dh_makeshlibs by default (debian-qt-kde.mk, kde.mk,
    dh kde addon).
  * dh kde addon: exclude kde documentation from dh_compress by default.
  * Add qt-kde-team/1/library-packages.mk which is capable of:
    - generating and handling ${allLibraries}, ${kde43Libraries} substs;
    - generating strict local shlibs.
  * Improve README.Debian information about dh kde addon.
  * Make dh kde addon return truth value.
  * Compress pkg-kde-tools tarball with bzip2 by default.

 -- Modestas Vainius <modax@debian.org>  Sat, 13 Feb 2010 19:36:56 +0200

pkg-kde-tools (0.6.1) unstable; urgency=low

  * Rework detection of arch specific symbols. This should fix some bugs
    with arch symbol tag processing and generation.
  * Now `pkgkde-symbolshelper create` bases its template on the arch specific
    symbol file (as specified with -a option). This alters arch tag generation
    a bit (negative arches are used more frequently than before).
  * Alter behaviour of -o option:
    - if it is not specified, output is dumped to the same file as input was
      read from;
    - if it is specified without argument, dump to stdout;
    - if it is specified with argument, dump to the file in argument.
  * pkgkde-symbolshelper create/patch: arch specific files/patches are passed
    via @ARGV now.
  * pkgkde-symbolshelper create/patch: prompt for version if -v is not
    specified on the command line. Good defaults are also suggested.

 -- Modestas Vainius <modax@debian.org>  Sat, 06 Feb 2010 23:43:07 +0200

pkg-kde-tools (0.6.0) unstable; urgency=low

  * "SymbolsHelper Reloaded" release.

  * Remove DMUA field from debian/control which was added for me.
  * Provide newer dpkg-gensymbols as pkgkde-gensymbols.
  * Make it possible to replace dpkg-gensymbols with pkgkde-gensymbols
    (by adding /usr/share/pkg-kde-tools/bin to $PATH).
  * Use my @debian.org address in the Uploaders field.
  * Helpers for adding /usr/share/pkg-kde-tools/bin to $PATH:
    - implement this in cdbs/symbolshelper.mk;


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.4
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modestas@vainius.eu>
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
@@ -12,9 +12,10 @@
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}
-Suggests: debhelper (>= 7.3.0), cdbs, dpkg-dev (>= 1.15.0)
-Breaks: dpkg-dev (<< 1.15.3), kdelibs5-dev (<< 4:4.2.2)
+Depends: ${perl:Depends}, ${misc:Depends}
+Recommends: dpkg-dev (>= 1.15.5~)
+Suggests: debhelper (>= 7.3.16), cdbs
+Breaks: kdelibs5-dev (<< 4:4.2.2)
 Description: common makesnippets and build scripts for KDE4 related packages
  This package contains makefiles setting the default build arguments for KDE4
  packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

KDEBRANCH=4.4
SVNREV=1107747

syncl10n:
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl kubuntu/createdesktopcontext.pl
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractattr kubuntu/extractattr
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh kubuntu/extract-messages.sh
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdesdk/scripts/extractrc kubuntu/extractrc
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh kubuntu/extract-xml.sh
	echo "\n\n\n\n\n*** PLEASE MERGE FINDFILES MANUALLY!!!!! ***\n\n\n\n\n"
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit kubuntu/msgsplit
	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/KDE/$(KDEBRANCH)/kdelibs/kdeui/preparetips kubuntu/preparetips

## pkg-kde-tools 0.9.2ubuntu15

=== debian/changelog ===
pkg-kde-tools (0.9.2ubuntu15) maverick; urgency=low

  * qt-kde-team/1/policy.mk: remove maintainer checking to fix FTBS when
    maintainer is not Debian qt-kde team

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 12 Sep 2010 21:58:12 +0200

pkg-kde-tools (0.9.2ubuntu14) maverick; urgency=low

  * Revert -u to -- change from previous uploaded.
    Caues issues with arguments to dpkg-deb somehow.

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 17 Aug 2010 01:02:50 +0200

pkg-kde-tools (0.9.2ubuntu13) maverick; urgency=low

  * Prevent tests from failing by using require instead of use, since use
    invokes require inside a block there is a bit of a scope mess it seems
  * Update lzma.pm to attach -- -Zlzma rather than -u -Zlzma to dh_builddeb,
    -u is considered deprecate

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Aug 2010 20:20:37 +0200

pkg-kde-tools (0.9.2ubuntu12) maverick; urgency=low

  * Add lzma sequence to debhelper
    + This enables Qt-only packages to simply build with "--with lzma" if
      they use dh
  * Use that new sequence in the KDE one

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Aug 2010 17:02:58 +0200

pkg-kde-tools (0.9.2ubuntu11) maverick; urgency=low

  * In both kubuntu.mk files set KUBUNTU_DESKTOP_POT at makefile scope to
    avoid running into shell scope issues causing desktop_.pot files.
  * Set DEB_BUILD_ARCH manually in the CDBS kubuntu.mk too to ensure that it
    is set when the pot hook gets executed.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 04 Aug 2010 16:24:30 +0200

pkg-kde-tools (0.9.2ubuntu10) maverick; urgency=low

  * Update the README.l10n with information about syncl10n and the fact that
    there is a need to sync with KDE every once in a while.
  * Add descriptions to the variables in debian/rules to make it more obvious
    what to do.
  * Syncl10n + merge findfiles (with a no-change for us but necessary to keep
    the relation to KDE's file more obvious)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 01 Aug 2010 14:04:22 +0200

pkg-kde-tools (0.9.2ubuntu9) maverick; urgency=low

  * Trying to repair the logic of the l10n restriction to i386.
    The gettext domain does still needs to be added and removed, regardless
    of the architecture, but the actual template creation only ought to
    happen on i386.
    Due to increasingly more complex code this is indeed likely to break things
    OTOH the restriction as seen in ubuntu7&8 are breaking translations on
    everything but i386.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 30 Jul 2010 22:03:10 +0200

pkg-kde-tools (0.9.2ubuntu8) maverick; urgency=low

  * Slightly adjust the syntax for DEB_NO_COMPRESSION to avoid warnings.

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 30 Jul 2010 11:53:49 +0200

pkg-kde-tools (0.9.2ubuntu7) maverick; urgency=low

  * Restrict l10n to i386 - This is the final stage, l10n magic will only
    happen for proper archive builds targetting main or restricted on i386.
  * Add support for DEB_NO_COMPRESSION, in combiniation with DEB_NO_LZMA
    this enables builds without any deb compression whatsoever.
    (Note: former only works if latter is also set to 1!)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 30 Jul 2010 00:09:15 +0200

pkg-kde-tools (0.9.2ubuntu6) maverick; urgency=low

  * Add kdevelop to kubuntu/desktop-template-list

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:23:51 +0100

pkg-kde-tools (0.9.2ubuntu5) maverick; urgency=low

  * Add choqok in desktop-template-list
  * Add rekonq in desktop-template-list

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:07:37 +0100

pkg-kde-tools (0.9.2ubuntu4) maverick; urgency=low

  * Fix kubuntu-debhelper-langpack-clean.sh, remove excessive dollar
    sign

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:41:06 +0100

pkg-kde-tools (0.9.2ubuntu3) maverick; urgency=low

  * Add kubuntu/README.l10n explaining when l10n is built and when not.
  * Fix l10n for dh7 builds, as broken in the previous upload
  * Enhance l10n restrictions to main|restricted builds

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Jul 2010 20:49:54 +0200

pkg-kde-tools (0.9.2ubuntu2) maverick; urgency=low

  * Only set the Ubuntu-Gettext when we do a build for the regular Ubuntu
    archives. This is determined by looking for /CurrentlyBuilding as created
    by the buildd's. Only if this file contains Purpose: Primary the domains
    will be set appropriately. Please note that no POT creation will happen
    if this check fails.

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 22 Jun 2010 20:42:24 +0200

pkg-kde-tools (0.9.2ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set -DKDE_DISTRIBUTION_TEXT="Kubuntu packages"
    - Add kubuntu/ files and edit debian/install
    - debian-qt-kde.mk: include kubuntu.mk
    - debian-qt-kde.mk: use LZMA compression unless DEB_NO_LZMA=1 or armel
    - cdbs/kde.mk: include kubuntu.mk
    - cdbs/kde.mk: use LZMA compression unless DEB_NO_LZMA=1 or armel
    - qt-kde-team/1/policy.mk: remove maintainer checking to fix FTBS when
      maintainer is not Debian qt-kde team
    - Add kubuntu-debhelper-langpack-generate.sh and clean scripts and call
      them in kde.pm for .pot generation in pure Debhelper 7 packages
    - Add python in dependencies

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 19 Jun 2010 02:08:52 +0200

pkg-kde-tools (0.9.2) unstable; urgency=medium

  * Add libdpkg-perl (>= 1.15.6~) to Build-Depends. Needed for symbolshelper
    syntax checks.
  * Add support for DEB_KDE_LINK_WITH_NO_UNDEFINED (defaults to
    DEB_KDE_LINK_WITH_AS_NEEDED value) to variables.mk.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Jun 2010 11:30:50 +0300

pkg-kde-tools (0.9.1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set -DKDE_DISTRIBUTION_TEXT="Kubuntu packages"


## pkg-kde-tools 0.9.2ubuntu15charlotte1

=== Makefile ===
BINDIR := $(DESTDIR)/usr/bin
MANDIR := $(DESTDIR)/usr/share/man
DATADIR := $(DESTDIR)/usr/share/pkg-kde-tools
DATALIBDIR := $(DATADIR)/lib
PERLLIBDIR := $(DESTDIR)/$(shell perl -MConfig -e 'print $$Config{vendorlib}')

VERBOSE ?= 0

BINARIES = \
	dh_movelibkdeinit \
	dh_sameversiondep \
	dh_sodeps \
	pkgkde-debs2symbols \
	pkgkde-gensymbols \
	pkgkde-getbuildlogs \
	pkgkde-override-sc-dev-latest \
	pkgkde-symbolshelper \
	pkgkde-vcs

MANPAGES_1 = \
	man1/pkgkde-vcs.1

PERLPODS_1 = \
	pkgkde-override-sc-dev-latest \
	dh_sameversiondep \
	dh_movelibkdeinit \
	dh_sodeps

build:
	# Nothing do build

install:
	install -d $(DATADIR) $(DATALIBDIR) $(BINDIR) $(MANDIR) $(MANDIR)/man1 $(PERLLIBDIR)
	
	pod2man pkgkde-override-sc-dev-latest > $(MANDIR)/man1/pkgkde-override-sc-dev-latest.1
	install -m 0755 pkgkde-override-sc-dev-latest $(BINDIR)
	
	# Install *lib directories
	install -d $(DATALIBDIR)
	cd datalib && find . -type f -exec install -D -m 0644 {} $(DATALIBDIR)/{} \;
	install -d $(PERLLIBDIR)
	cd perllib && find . -type f -name "*.pm" -exec install -D -m 0644 {} $(PERLLIBDIR)/{} \;
	install -d $(DATADIR)/vcs
	cd vcslib && find . -type f -exec install -D -m 0644 {} $(DATADIR)/vcs/{} \;
	
	# Install binaries
	install -d $(BINDIR)
	install -m 0755 $(BINARIES) $(BINDIR)
	
	# Install manual pages
	install -d $(MANDIR)/man1
	install -m 0644 $(MANPAGES_1) $(MANDIR)/man1
	
	# Install POD based manual packages
	for f in $(PERLPODS_1); do pod2man "$$f" > "$(MANDIR)/man1/$${f%.*}.1"; done
	
	# Make it possible to transparently replace dpkg-gensymbols with
	# pkgkde-gensymbols
	install -d $(DATADIR)/bin
	ln -sf /usr/bin/pkgkde-gensymbols $(DATADIR)/bin/dpkg-gensymbols
	ln -sf /usr/share/man/man1/dpkg-gensymbols.1.gz $(MANDIR)/man1/pkgkde-gensymbols.1.gz

test:
	./run-local perl -MTest::Harness -e '$$Test::Harness::verbose=$(VERBOSE); runtests @ARGV;' t/*.t

=== debian/changelog ===
pkg-kde-tools (0.9.2ubuntu15charlotte1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Fri, 03 Dec 2010 10:16:27 -0700

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~)
Standards-Version: 3.8.4
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
Vcs-Git: git://git.debian.org/git/pkg-kde/pkg-kde-tools.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/pkg-kde-tools.git;a=summary

Package: pkg-kde-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), python
Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
Suggests: debhelper (>= 7.3.16), cdbs
Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
Description: various packaging tools and scripts for KDE Applications
 This package contains a variety of packaging tools and build scripts that may
 be very useful when packaging KDE applications. Even if you are a maintainer
 of a very small KDE application, this package should be worthwhile checking
 out.
 .
 Main highlights:
  - recommended build flags for building packages based on the KDE Platform;
  - cdbs class for building packages based on the KDE Platform (kde.mk);
  - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
    building packages based on the KDE Platform;
  - dh_sameversiondep for generating a dependency that is versioned the same
    way as a dependency (coming from the same source) of another reference
    package.
  - dh_movelibkdeinit for moving libkdeinit4_*.so libraries to private
    location;
  - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
    packages based to which local packages lib*.so symlinks point to;
  - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
    files;
  - pkgkde-debs2symbols tool for generating symbol files and symbol file
    patches from pre-built binaries in the deb packages;
  - pkgkde-getbuildlogs tool for downloading build logs for the specified
    package (from buildd.debian.org);
  - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
    kde-sc-dev-latest package;
  - pkgkde-vcs tool for performing common tasks when packaging under VCS.
 .
 NOTE: since this package is cumulative, it does not depend on the packages it
 provides helpers for. I.e. you still need to explicitly build depend on
 debhelper or cdbs in your packages.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 %:
 	dh $@
 
-KDEBRANCH=4.4
-SVNREV=1107747
+# KDE branch to use. Various scripts are coming from kdesdk or other parts of
+# KDE, those will preferrably be fetched from the branch (still taking into
+# account the revision from below).s
+KDEBRANCH=4.5
+# SVN revision of the release at hand. This can be looked up via
+# http://websvn.kde.org/tags/KDE/. Please mind that it usually is a good idea to
+# enter the appropriate folder and take the rev number from kde-l10n rather than
+# the one from the folder. Ideally one would however look at all the folders
+# inside kde-l10n and then use the rev accuring most.
+SVNREV=1156561
 
 syncl10n:
 	svn export -r$(SVNREV) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl kubuntu/createdesktopcontext.pl

## pkg-kde-tools 0.9.3

=== debian/changelog ===
pkg-kde-tools (0.9.3) unstable; urgency=low

  * Use a new tag message style in `pkgkde-vcs tag`:
    <version> <distribution>; urgency=<urgency>

 -- Modestas Vainius <modax@debian.org>  Sun, 25 Jul 2010 02:02:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.8.4
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
@@ -11,7 +10,7 @@
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), python
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)

## pkg-kde-tools 0.9.3ubuntu10

=== debian/changelog ===
pkg-kde-tools (0.9.3ubuntu10) natty; urgency=low

  * Re-enable Scour as python-scour has dropped the problematic dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 20 Mar 2011 19:13:09 +0100

pkg-kde-tools (0.9.3ubuntu9) natty; urgency=low

  * Temporarily comment out Scour in perllib/Debian/Debhelper/Sequence/kde.pm
    and drop python-scour from depends due to powerpc breakage

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Mar 2011 17:32:23 -0400

pkg-kde-tools (0.9.3ubuntu8) natty; urgency=low

  * Revert last upload now that gcc4.5 is fixed

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Mar 2011 11:52:16 -0400

pkg-kde-tools (0.9.3ubuntu7) natty; urgency=low

  * Force gcc-4.4 on ARM while we are waiting for a gcc-4.5 fix to segfault
    in a Qt inline function, see #705689.
    Respectively changed files:
     - 1/debian-qt-kde.mk
     - cdbs/kde.mk
     - Sequence/lzma.pm

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 03 Mar 2011 21:07:04 +0100

pkg-kde-tools (0.9.3ubuntu6) natty; urgency=low

  * Add ppc64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2011 21:40:31 +0000

pkg-kde-tools (0.9.3ubuntu5) natty; urgency=low

  * Revert the last upload. -mimplicit-it=thumb on armel no longer works and
    there will be a proper IT patch for qt4-x11 shortly

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Nov 2010 09:12:55 -0500

pkg-kde-tools (0.9.3ubuntu4) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to work around
    lack of native Thumb2 support in qt4-x11 to qt-kde-team/1/debian-qt-kde.mk
    and makefiles/1/cdbs/kde.mk

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Nov 2010 17:11:01 -0500

pkg-kde-tools (0.9.3ubuntu3) natty; urgency=low

  * Add depends on python-scour

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 06 Nov 2010 13:42:46 +0000

pkg-kde-tools (0.9.3ubuntu2) natty; urgency=low

  * In kde.pm run with scour Debhelper

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Nov 2010 16:28:20 +0000

pkg-kde-tools (0.9.3ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - datalib/kde4_flags: distribution text = "Kubuntu packages"
    - debian/rules: add rules to sync l10n
    - debian/install: install kubuntu/ files
    - debian/control: add python to build-dependencies
    - makefiles/1/cdbs, qt-kde-team/1/debian-qt-kde.mk:
      add "include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk" and compress
      packages with LZMA
    - perlib/Debian/Debhelper/Buildsystem: add sub clean and sub install
      for i18n
    - add perlib/Debian/Debhelper/lzma.pm
    - perlib/Debian/Debhelper/kde.pm:
      add require Debian::Debhelper::Sequence::lzma
    - qt-kde-team/1/policy.mk: remove maintainer checking

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 15 Oct 2010 01:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7), libdpkg-perl (>= 1.15.6~)
 Standards-Version: 3.8.4
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
@@ -10,7 +11,7 @@
 
 Package: pkg-kde-tools
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~)
+Depends: ${perl:Depends}, ${misc:Depends}, libdpkg-perl (>= 1.15.6~), python, python-scour
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: debhelper (>= 7.3.16), cdbs
 Breaks: kdelibs5-dev (<< 4:4.2.2), dpkg-dev (<< 1.15.6~)
